Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Interface ALiteral

All Superinterfaces:
  com.hp.hpl.jena.rdf.arp.impl.ANode, com.hp.hpl.jena.rdf.arp.impl.Taint

    public interface ALiteral

extends com.hp.hpl.jena.rdf.arp.impl.ANode

A string literal property value from an RDF/XML file.

Author:
  jjc

Method Summary
`java.lang.String` | `getDatatypeURI()` The datatype URI of a typed literal, or null for an untyped literal.
`java.lang.String` | `getLang()` The value of xml:lang for this literal, often the empty string.
`java.lang.String` | `getParseType()` When `isWellFormedXML()` is true, this returns the value of the rdf:parseType attribute, usually "Literal".
`boolean` | `isWellFormedXML()` True if this literal was formed from a rdf:parseType="Literal" construction.
`java.lang.String` | `toString()` The string value of the literal.

Methods inherited from interface com.hp.hpl.jena.rdf.arp.impl.Taint
`isTainted, taint`

Method Detail

### isWellFormedXML

    boolean isWellFormedXML()

  True if this literal was formed from a rdf:parseType="Literal" construction.

  Returns:
    true for rdf:parseType="Literal" or any other unrecognised parseType.

### getParseType

    java.lang.String getParseType()

  When `isWellFormedXML()` is true, this returns the value of the rdf:parseType attribute, usually "Literal". Otherwise null is returned.

  Returns:
    The parseType for well formed XML, or null for normal literals.

### getDatatypeURI

    java.lang.String getDatatypeURI()

  The datatype URI of a typed literal, or null for an untyped literal.

  Returns:
    the URI as a String, or null

### toString

    java.lang.String toString()

  The string value of the literal.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### getLang

    java.lang.String getLang()

  The value of xml:lang for this literal, often the empty string.

  Returns:
    xml:lang.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP